using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;
using System;
using System.Threading.Tasks;

namespace Bailun.DC.DailySelfProducePurchaseDeliver
{
    /// <summary>
    /// 自产采购发货在途
    /// </summary>
    class Program
    {
        /// <summary>
        /// 自产采购发货在途
        /// </summary>
        /// <param name="args"></param>
        /// <returns></returns>
        static async Task Main(string[] args)
        {
            Console.WriteLine("启动服务 " + DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss"));
            var builder = new HostBuilder().ConfigureServices((hostContext, services) =>
            {
                services.AddHostedService<Services>();
            });

            await builder.RunConsoleAsync();
        }


        //static void Main(string[] args)
        //{
        //    var _service = new Services();
        //    _service.Init(DateTime.Parse("2020-09-25"));
        //}

    }
}
